%global pypi_name gitdb
%global _description %{expand:
GitDB allows you to access bare git repositories for reading and writing.
It aims at allowing full access to loose objects as well as packs with
performance and scalability in mind. It operates exclusively on streams,
allowing to handle large objects with a small memory footprint.}

Summary:        Git Object Database
Name:           python-%{pypi_name}
Version:        4.0.10
Release:        3%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/gitpython-developers/gitdb
Source0:        %pypi_source

BuildRequires:  git-core

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p 1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
mkdir testrepo
pushd testrepo
git init -q
git config user.email "%{name}-owner@opencloudos.org"
git config user.name "%{name} maintainer"
for i in {1..400}; do echo $i > $i; git add $i; git commit -q -m "$i"; done
git gc
popd

export GITDB_TEST_GIT_REPO_BASE=testrepo/.git
%pytest --verbose

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 kianli <kianli@tencent.com> - 4.0.10-2
- remove gitignore file

* Wed Apr 12 2023 kianli <kianli@tencent.com> - 4.0.10-1
- initial build  
